# Edit this configuration file to define what should be installed on
# your system.  Help is available in the configuration.nix(5) man page
# and in the NixOS manual (accessible by running ‘nixos-help’).

{ config, pkgs, lib, ... }:

{
  imports =
    [ ../../../lib/lxc-container.nix
    ../../../lib/shared.nix
    ../../../lib/admins.nix
  ];

  environment.systemPackages = with pkgs; [
    vim
  ];

  networking = {
    hostName = "mongo";
    firewall = {
      allowedTCPPorts = [ 
        22
        27017
      ];
      enable = true;
    };
  };

  services.openssh = {
    enable = true;
    permitRootLogin = "yes";
  };

  services.mongodb = {
    enable = true;
    bind_ip = "0.0.0.0";
    dbpath = "/srv/mongodb";
  };

  system.stateVersion = "19.03"; # Did you read the comment?

}
