{ config, pkgs, lib, ... }:

let
  hostMpd = if config.networking.hostName == "storage-ng" then
    {
      musicDirectory = "/mnt/cephfs/c3d2/rpool/Music";
    }
    else
    {
      dbFile = null;
      musicDirectory = "/mnt/storage/Music";
      extraConfig = ''
        database {
          plugin "proxy"
          host "storage-ng.hq.c3d2.de"
        }
      '';
    };
in
{
  services.mpd = (hostMpd // {
    enable=true;
    network.listenAddress = "any";
  });

  networking.firewall.allowedTCPPorts =
   [ config.services.mpd.network.port ];
}
